```
def FN_difusion_inic(n=100, a=0.2, b=3, Epsilon=0.01, r_v=0.4, r_w=0.01, 
                eta=0.005, r=10, itera=1, v_pert=-0.2, w_pert=-0.3, v_inic=0.0, w_inic=0.0 ):
    "Los parametros son"
    
    numero_eventos = 0
    # Cálculo del número de iteraciones que dejaremos entre una grabación del
    # estado del sistema y el siguiente. La idea es que podamos cambiar el 
    # número de iteraciones y en cualquier caso nos quedemos con el estado 
    # a intervalos regulares con un máximo de 500 estados grabados.
    if (itera/500)<1:
        delta_registro = 1
    else:
        delta_registro = int(itera/500)
    
    
    # Creacción y planteamiento de los vectores que contienen las celulas
    # En lugar de crear 2 vectores diferenciados voy a utilizar un "structured 
    # array" de numpy. El código resulta más limpio
    Z = np.zeros((n+2, n+2), [('V', np.double), ('W', np.double)])
    V,W = Z['V'], Z['W']
    v,w = V[1:-1,1:-1], W[1:-1,1:-1]

    # r es el número de celdas alrededor de la central a las aplicamos una ex-
    #citacion (finalmente serán 10)
    
    #r = 10  --> No es necesario puesto que viene como parámetro de la función
    V[...] = v_inic
    W[...] = w_inic
    
    #v[...] = v_inic
    
    V[int(n/2)-r:int(n/2)+r,int(n/2)-r:int(n/2)+r] = v_pert
    W[int(n/2)-r:int(n/2)+r,int(n/2)-r:int(n/2)+r] = w_pert
    v += 0.01*np.random.random((n,n))
    w += 0.01*np.random.random((n,n))

    v_graf = np.zeros((0,n))


    for i in range(itera):
        Dif_v = (                 V[0:-2,1:-1] +
                 V[1:-1,0:-2] - 4*V[1:-1,1:-1] + V[1:-1,2:] +
                                  V[2:  ,1:-1] )
        
        Dif_w = (                 W[0:-2,1:-1] +
                 W[1:-1,0:-2] - 4*W[1:-1,1:-1] + W[1:-1,2:] +
                                  W[2:  ,1:-1] )

        Reac_v = v * (v-a) * (1-v) - w
        Reac_w = Epsilon * (v - b * w)

        v += r_v * Dif_v + eta * Reac_v
        w += r_w * Dif_w + eta * Reac_w

        V[:, 0] = V[:,-2]
        V[:,-1] = V[:,1]
        V[0,2:] = V[-2, 2:]
        V[-1, 2:] = V[1, 2:]

        W[:, 0] = W[:,-2]
        W[:,-1] = W[:,1]
        W[0,2:] = W[-2, 2:]
        W[-1, 2:] = W[1, 2:]
             
      #  if i%delta_registro == 0:    
      #      v_graf = np.append(v_graf, v)
      #      numero_eventos+= 1
    
    ## Dibujamos los resultados para v
    #plt.plot(v)
    #matriz = v_graf.reshape((n*(numero_eventos), n))
    #plt.pcolor(matriz)
    plt.pcolor(v, vmin=-0.2, vmax=1.4)
    plt.colorbar()
    plt.xlabel("# X-Celda")
    plt.ylabel("# Y-Celda")
    
    return()
```